Issue with Multi-Tenant Administration module. Cant save new TenantUser when logged in with TenantAdmin role.

0
I have an issue where I have configured a Tenant and created a user with role ‘TenantAdmin’. When logged in as TenantAdmin, I attempt to create a new TenantUser from the MyTenantUsers page. Mendix runtime throws an error and the app freezes when trying to select a Language or TimeZone from the TenantUser_New popup page. Has anyone encountered this issue ?       Stack Trace: com.mendix.webui.WebUIException: Applying change for 'System.User_Language' of object with id '26458647810804265' (MultiTenantAdministration.TenantUser) failed for security reasons. No read access for changed member.     at com.mendix.webui.requesthandling.helpers.StateHandling.$anonfun$addChangesToState$4(StateHandling.scala:126)
asked
2 answers
1

Hi Jorge, 

We are facing the same issue for few weeks now. Even with normal User creation and maintenance with Administration module, we are getting the same issue on the Name attribute of User. 

The only difference is we migrated to 7.23.15. So, seems something got changed in between and it started throwing these kind of errors, but with different attribute in different scenario’s. 

The restriction that you mentioned in System.User is there for quite long time. Refer 7.23.3 modeler System.User

XPATH constraint in the System.User is ok. No problems with that. The exact problem is in project Security. We have also filed a bug related to this.

The fix is very strange, although it worked. Not sure if it is applicable to you as well, but worth a try. 

- go to Project security

- User roles tab

- Select the User role which ever is applicable in your case

- Instead of selected roles and checkboxes selected, you must select all. Then the issue is resolved and works.

 

answered
0

Thanks a lot for sharing this information Nirmalkumar. We upgraded from Mendix 7.22 to 7.23.18 and found the same issue for the tenant manager that creates and manages the users within the tenant. Your solution also worked for us after the upgrade to 7.23.18. 

answered